import path from "node:path";
import {defineConfig} from "astro/config";

const relative = (input: string) => new URL(input, import.meta.url).pathname;

const buildDir = relative("build");
const sourceDir = relative("source");

export default defineConfig({
  // eslint-disable-next-line @typescript-eslint/naming-convention
  compressHTML: true,
  outDir: buildDir,
  publicDir: path.join(sourceDir, "assets/"),
  site: "https://holllo.org",
  srcDir: sourceDir,
});
